org.springframework.http.client.reactive

## Interface ClientHttpResponse

- All Superinterfaces:
    HttpMessage, ReactiveHttpInputMessage
  All Known Subinterfaces:
    MockServerClientHttpResponse
  All Known Implementing Classes:
    AbstractClientHttpResponse, ClientHttpResponseDecorator, MockClientHttpResponse

      public interface ClientHttpResponse
      extends ReactiveHttpInputMessage

  Represents a client-side reactive HTTP response.
  Since:
    5.0
  Author:
    Arjen Poutsma, Brian Clozel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultiValueMap<String,ResponseCookie>` | `getCookies()` Return a read-only map of response cookies received from the server.
    `default String` | `getId()` Return an id that represents the underlying connection, if available, or the request for the purpose of correlating log messages.
    `int` | `getRawStatusCode()` Return the HTTP status code (potentially non-standard and not resolvable through the `HttpStatus` enum) as an integer.
    `HttpStatus` | `getStatusCode()` Return the HTTP status code as an `HttpStatus` enum value.

    - ### Methods inherited from interface org.springframework.http.ReactiveHttpInputMessage

      `getBody`

    - ### Methods inherited from interface org.springframework.http.HttpMessage

      `getHeaders`

- - ### Method Detail

    - #### getId

          default String getId()

      Return an id that represents the underlying connection, if available, or the request for the purpose of correlating log messages.
      Since:
        5.3.5

    - #### getStatusCode

          HttpStatus getStatusCode()

      Return the HTTP status code as an `HttpStatus` enum value.
      Returns:
        the HTTP status as an HttpStatus enum value (never `null`)
      Throws:
        `IllegalArgumentException` - in case of an unknown HTTP status code
      Since:
        #getRawStatusCode()
      See Also:
        `HttpStatus.valueOf(int)`

    - #### getRawStatusCode

          int getRawStatusCode()

      Return the HTTP status code (potentially non-standard and not resolvable through the `HttpStatus` enum) as an integer.
      Returns:
        the HTTP status as an integer value
      Since:
        5.0.6
      See Also:
        `getStatusCode()`, `HttpStatus.resolve(int)`

    - #### getCookies

          MultiValueMap<String,ResponseCookie> getCookies()

      Return a read-only map of response cookies received from the server.